Skip to main content
GET
/
emails
/
stats
/
location
/
{locationId}
/
{source}
/
{sourceId}
Get Campaign Statistics
curl --request GET \
  --url https://services.leadconnectorhq.com/emails/stats/location/{locationId}/{source}/{sourceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "locationId": "abc123",
  "source": "email-campaigns",
  "sourceId": "campaign123",
  "stats": {
    "delivered": 1000,
    "opened": 450,
    "clicked": 120,
    "unsubscribed": 5,
    "complained": 2,
    "permanentFail": 15,
    "temporaryFail": 3,
    "rejected": 10,
    "failed": 5,
    "replied": 25
  },
  "subSourceId": "step001"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28
Example:

"2021-07-28"

Path Parameters

locationId
string
required

Location ID

Example:

"ve9EPM428h8vShlRW1KT"

source
enum<string>
required

Source type: email-campaigns, workflow-campaigns, or bulk-actions

Available options:
email-campaigns,
workflow-campaigns,
bulk-actions
Example:

"email-campaigns"

sourceId
string
required

ID of the email campaign, workflow campaign, or bulk action

Example:

"abc123"

Query Parameters

subSourceId
string

Workflow action ID. Only valid when source is workflow-campaigns

Example:

"step001"

Response

Success

locationId
string
required

Location ID

Example:

"abc123"

source
enum<string>
required

Source type

Available options:
email-campaigns,
workflow-campaigns,
bulk-actions
Example:

"email-campaigns"

sourceId
string
required

Source ID

Example:

"campaign123"

stats
object
required
subSourceId
string

Workflow action ID

Example:

"step001"

Last modified on March 4, 2026